Illustrator e macOS Catalina (10.15)

Illustrator e macOS Catalina (10.15)

Quali versioni di Illustrator sono compatibili con macOS Catalina?

Illustrator 24.0 e Illustrator 23.1 funzionano con macOS 10.15 (Catalina), ma hanno anche alcuni problemi di compatibilità noti. Si consiglia di rimanere nella versione corrente di macOS fino a quando questi problemi non sono stati risolti.

Adobe consiglia ai clienti di eseguire delle prove su una partizione non di produzione per verificare che i nuovi sistemi operativi funzionino con hardware e driver correnti (stampa ecc).  

Se si verificano dei problemi che non sono ancora documentati qui, non esitare a segnalarli nel nostro sito di feedback.

Le versioni legacy e con licenza perpetua di Illustrator sono compatibili con macOS Catalina?

Le versioni legacy/con licenza perpetua di Illustrator non sono state progettate o testate per funzionare su macOS 10.15 (Catalina). Non sono supportate in alcun modo per l’uso su macOS Catalina.

Adobe sconsiglia ai clienti che utilizzano versioni precedenti di Illustrator di eseguire l’aggiornamento a macOS Catalina.

Le versione 22.0 di Illustrator non verrà visualizzata nell’elenco delle versioni precedenti all’interno dell’app desktop Creative Cloud.

Le versioni precedenti utilizzano componenti di licenza e programmi di installazione a 32 bit. Pertanto, non possono essere installate e attivate dopo l’aggiornamento a macOS Catalina. L’aggiornamento a macOS Catalina con una versione precedente già installata sul computer può consentire all’applicazione di funzionare in certa misura, ma non sarà possibile reinstallare o attivare l’applicazione dopo l’aggiornamento di macOS.

Se lo desideri, puoi disinstallare le versioni precedenti prima dell’aggiornamento a macOS Catalina poiché il programma di disinstallazione non funzionerà dopo l’aggiornamento. Se hai già eseguito l’aggiornamento a macOS Catalina, puoi usare Creative Cloud Cleaner Tool per disinstallare le versioni precedenti.

Problemi di compatibilità noti

Ecco alcuni problemi di compatibilità noti quando si utilizza Illustrator con Catalina:

ExtendScript Toolkit non viene eseguito

ExtendScript Toolkit, un’applicazione a 32 bit, non funziona più in macOS 10.15. ExtendScript Toolkit è stato sostituito da ExtendScript Debugger 1.1.0.

Nessun rendering di pannelli e documenti

Quando si utilizza Illustrator con macOS Catalina, è possibile che si verifichi un problema a causa del quale l’applicazione interrompe il rendering di pannelli e documenti. Il riavvio di Illustrator potrebbe risolvere questo problema.

Autorizzazione ad accedere a Calendario, Contatti, Fotocamera o Posizione

Se Illustrator richiede l’autorizzazione per registrare o acquisire la schermata o accedere a Calendario, Contatti, Fotocamera o Posizione, è possibile ignorare questa notifica. Le nuove tutele in materia di privacy implementate da Apple si applicano alle directory che contengono calendari, contatti, foto, posta elettronica e messaggi.  Per informazioni dettagliate, consulta questo articolo. 

Nota: Le app Adobe non hanno bisogno di accedere a Calendario, Contatti, Fotocamera o Posizione.

 Adobe

Ottieni supporto in modo più facile e veloce

Nuovo utente?